---
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: app
spec:
  egress:
  - toEndpoints:
    - {}
  - toEndpoints:
    - matchLabels:
        io.kubernetes.pod.namespace: kube-system
        k8s-app: kube-dns
    toPorts:
    - ports:
      - port: '53'
        protocol: UDP
      rules:
        dns:
        - matchPattern: '*'
  - toCIDRSet:
    - cidr: 0.0.0.0/0
      except:
      - 10.0.0.0/8
      - 172.16.0.0/12
      - 192.168.0.0/16
      - 100.64.0.0/10
      - 169.254.0.0/16
      - 255.255.255.255/32
    - cidr: 2000::/3
  endpointSelector:
    matchLabels:
      use-fallback-network-policy: 'true'
  ingress:
  - fromEndpoints:
    - matchLabels:
        io.kubernetes.pod.namespace: kube-system
    - matchLabels:
        io.kubernetes.pod.namespace: nirvati
  - fromEntities:
    - kube-apiserver
    - health
  - fromEndpoints:
    - {}

